Get supported asset codes
curl --request GET \
--url https://api-staging.stablestack.com/api/asset-codes \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/asset-codes"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/asset-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "e5ef5a72-b90c-47ac-be5f-d56c04304300",
"asset_type": "FIAT",
"code": "CAD",
"created_at": "2025-04-02T11:16:14.321Z",
"updated_at": "2025-04-02T11:16:14.321Z",
"networks": null
},
{
"id": "119489c6-a21c-4239-8285-c6437141a046",
"asset_type": "STABLECOIN",
"code": "USDC",
"created_at": "2025-03-31T12:15:24.426Z",
"updated_at": "2025-03-31T12:15:24.426Z",
"networks": [
{
"id": "ce2e5ce1-6213-401b-aade-775dfdff7f7c",
"network": "Erc20",
"created_at": "2025-03-31T13:15:36.908Z"
}
]
}
]
}Wallet Assets
Get Asset Codes
API reference for fetching supported asset codes
GET
/
asset-codes
Get supported asset codes
Retrieves a list of all supported asset codes with their networks.
Key Features:
- Returns both FIAT and STABLECOIN asset codes
- Includes supported networks for STABLECOIN assets
- Filterable by asset_type (FIAT/STABLECOIN)
- Returns complete metadata including creation timestamps
Query Parameters:
asset_type: Filter by asset type (FIAT or STABLECOIN)
Response Examples:
All Assets:{
"status": "success",
"data": [
{
"id": "e5ef5a72-b90c-47ac-be5f-d56c04304300",
"asset_type": "FIAT",
"code": "CAD",
"created_at": "2025-04-02T11:16:14.321Z",
"updated_at": "2025-04-02T11:16:14.321Z",
"networks": null
},
{
"id": "119489c6-a21c-4239-8285-c6437141a046",
"asset_type": "STABLECOIN",
"code": "USDC",
"created_at": "2025-03-31T12:15:24.426Z",
"updated_at": "2025-03-31T12:15:24.426Z",
"networks": [
{
"id": "ce2e5ce1-6213-401b-aade-775dfdff7f7c",
"network": "Erc20",
"created_at": "2025-03-31T13:15:36.908Z"
}
]
}
]
}